import javax.swing.*;
import java.awt.Dimension;
import java.awt.BorderLayout;

public class JSpinnerTest17 extends JFrame{

  public static void main(String[] args){
    JSpinnerTest17 frame = new JSpinnerTest17();

    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setBounds(10, 10, 300, 200);
    frame.setTitle("^Cg");
    frame.setVisible(true);
  }

  JSpinnerTest17(){
    SpinnerNumberModel model = new SpinnerNumberModel(2000, null, null, 100);
    JSpinner spinner = new JSpinner(model);

    JSpinner.NumberEditor editor = new JSpinner.NumberEditor(spinner, "#,##0");

    spinner.setEditor(editor);
    spinner.setPreferredSize(new Dimension(150, 25));

    JPanel p = new JPanel();
    p.add(spinner);

    getContentPane().add(p, BorderLayout.CENTER);
  }
}